org.apache.ignite.internal.processors.query.stat

## Class LocalStatisticsGatheringContext

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.LocalStatisticsGatheringContext

    public class LocalStatisticsGatheringContext
    extends Object

Statistics gathering context.

### Constructor Summary

Constructors
Constructor and Description
`LocalStatisticsGatheringContext(boolean forceRecollect, GridQueryTypeDescriptor tbl, GridCacheContextInfo<?,?> cctxInfo, StatisticsObjectConfiguration cfg, Set<Integer> remainingParts, AffinityTopologyVersion topVer)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<Integer>` `allParts()`
`GridCacheContextInfo<?,?>` `cacheContextInfo()`
`void` `cancel()` Cancel gathering.
`boolean` `cancelled()`
`StatisticsObjectConfiguration` `configuration()`
`boolean` `forceRecollect()`
`CompletableFuture<Void>` `future()`
`boolean` `partitionDone(int partId)` Decrement remaining partitions due to successfully processed partition.
`void` `partitionNotAvailable(int partId)` Decrement remaining partitions due to unavailable partition.
`Set<Integer>` `remainingParts()`
`GridQueryTypeDescriptor` `table()`
`AffinityTopologyVersion` `topologyVersion()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LocalStatisticsGatheringContext

    public LocalStatisticsGatheringContext(boolean forceRecollect,
                                           GridQueryTypeDescriptor tbl,
                                           GridCacheContextInfo<?,?> cctxInfo,
                                           StatisticsObjectConfiguration cfg,
                                           Set<Integer> remainingParts,
                                           AffinityTopologyVersion topVer)

Constructor.

Parameters:
  `forceRecollect` - Force recollect flag.
  `tbl` - Table to process.
  `cctxInfo` - Cache context info;
  `cfg` - Statistics configuration to use.
  `remainingParts` - Set of partition ids to collect.

### Method Detail

#### forceRecollect

    public boolean forceRecollect()

Returns:
  Force recollect flag.

#### table

    public GridQueryTypeDescriptor table()

Returns:
  Table to process.

#### cacheContextInfo

    public GridCacheContextInfo<?,?> cacheContextInfo()

Returns:
  Cache context of processing table.

#### configuration

    public StatisticsObjectConfiguration configuration()

Returns:
  Statistics configuration to collect with.

#### partitionDone

    public boolean partitionDone(int partId)

Decrement remaining partitions due to successfully processed partition.

Parameters:
  `partId` - Partition id.
Returns:
  `true` if no more partitions left, `false` - otherwise.

#### remainingParts

    public Set<Integer> remainingParts()

Returns:
  Set of remaining partitions.

#### allParts

    public Set<Integer> allParts()

Returns:
  All primary partitions or `null` if there was just byObsolescence recollection.

#### partitionNotAvailable

    public void partitionNotAvailable(int partId)

Decrement remaining partitions due to unavailable partition.

Parameters:
  `partId` - Unavailable partition id.

#### cancel

    public void cancel()

Cancel gathering.

#### cancelled

    public boolean cancelled()

Returns:
  Cancelled flag.

#### future

    public CompletableFuture<Void> future()

Returns:
  Gathering completable future.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  Gathering topology version or `null` if it's just an obsolescence processing.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023